kdeui Library: KPixmapRegionSelectorDialog Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KPixmapRegionSelectorDialog Class Reference

A dialog that uses a KPixmapRegionSelectorWidget to allow the user to select a region of an image. More...

`#include <kpixmapregionselectordialog.h>`

Inheritance diagram for KPixmapRegionSelectorDialog:

[legend]
Collaboration diagram for KPixmapRegionSelectorDialog:

[legend]
List of all members.

## Public Member Functions
| KPixmapRegionSelectorDialog (QWidget *parent=0L, const char *name=0L, bool modal=false)
| ~KPixmapRegionSelectorDialog ()
KPixmapRegionSelectorWidget * | pixmapRegionSelectorWidget () const
## Static Public Member Functions
static QRect | getSelectedRegion (const QPixmap &pixmap, QWidget *parent=0L)
static QRect | getSelectedRegion (const QPixmap &pixmap, int aspectRatioWidth, int aspectRatioHeight, QWidget *parent=0L)
static QImage | getSelectedImage (const QPixmap &pixmap, QWidget *parent=0L)
static QImage | getSelectedImage (const QPixmap &pixmap, int aspectRatioWidth, int aspectRatioHeight, QWidget *parent=0L)
## Protected Attributes
KPixmapRegionSelectorWidget * | m_pixmapSelectorWidget

## Detailed Description

A dialog that uses a KPixmapRegionSelectorWidget to allow the user to select a region of an image.

If you want to use special features like forcing the selected area to have a fixed aspect ratio, you can use

See also:
  pixmapRegionSelectorWidget() to get the pointer to the KPixmapRegionSelectorWidget object and set the desired options there.

There are some convenience methods that allow to easily show a dialog for the user to select a region of an image, and just care about the selected image.

Author:
  Antonio Larrosa <larrosa@kde.org>

Since:
  3.4

Definition at line 42 of file kpixmapregionselectordialog.h.

## Constructor & Destructor Documentation

KPixmapRegionSelectorDialog::KPixmapRegionSelectorDialog | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`,
|  | bool | modal = `false`
| ) |

| The constructor of an empty KPixmapRegionSelectorDialog, you have to call later the setPixmap method of the KPixmapRegionSelectorWidget widget of the new object. Definition at line 27 of file kpixmapregionselectordialog.cpp. References KDialogBase::setMainWidget().

KPixmapRegionSelectorDialog::~KPixmapRegionSelectorDialog | ( |  | ) |

| The destructor of the dialog. Definition at line 39 of file kpixmapregionselectordialog.cpp.

## Member Function Documentation

KPixmapRegionSelectorWidget* KPixmapRegionSelectorDialog::pixmapRegionSelectorWidget | ( |  | ) | const`[inline]`

| Returns: the KPixmapRegionSelectorWidget widget so that additional parameters can be set by using it. Definition at line 61 of file kpixmapregionselectordialog.h. Referenced by getSelectedImage(), and getSelectedRegion().

QRect KPixmapRegionSelectorDialog::getSelectedRegion | ( | const QPixmap & | pixmap,
|  | QWidget * | parent = `0L`
| ) | `[static]`

| Creates a modal dialog, lets the user to select a region of the `pixmap` and returns when the dialog is closed. Returns: the selected rectangle, or an invalid rectangle if the user pressed the Cancel button. Definition at line 43 of file kpixmapregionselectordialog.cpp. References QDesktopWidget::availableGeometry(), QDialog::exec(), QRect::height(), pixmapRegionSelectorWidget(), KPixmapRegionSelectorWidget::setMaximumWidgetSize(), KPixmapRegionSelectorWidget::setPixmap(), KPixmapRegionSelectorWidget::unzoomedSelectedRegion(), and QRect::width().

QRect KPixmapRegionSelectorDialog::getSelectedRegion | ( | const QPixmap & | pixmap,
|  | int | aspectRatioWidth,
|  | int | aspectRatioHeight,
|  | QWidget * | parent = `0L`
| ) | `[static]`

| Creates a modal dialog, lets the user to select a region of the `pixmap` with the same aspect ratio than `aspectRatioWidth` x `aspectRatioHeight` and returns when the dialog is closed. Returns: the selected rectangle, or an invalid rectangle if the user pressed the Cancel button. Definition at line 64 of file kpixmapregionselectordialog.cpp. References QDesktopWidget::availableGeometry(), QDialog::exec(), QRect::height(), pixmapRegionSelectorWidget(), KPixmapRegionSelectorWidget::setMaximumWidgetSize(), KPixmapRegionSelectorWidget::setPixmap(), KPixmapRegionSelectorWidget::setSelectionAspectRatio(), KPixmapRegionSelectorWidget::unzoomedSelectedRegion(), and QRect::width().

QImage KPixmapRegionSelectorDialog::getSelectedImage | ( | const QPixmap & | pixmap,
|  | QWidget * | parent = `0L`
| ) | `[static]`

| Creates a modal dialog, lets the user to select a region of the `pixmap` and returns when the dialog is closed. Returns: the selected image, or an invalid image if the user pressed the Cancel button. Definition at line 86 of file kpixmapregionselectordialog.cpp. References QDesktopWidget::availableGeometry(), QDialog::exec(), QRect::height(), pixmapRegionSelectorWidget(), KPixmapRegionSelectorWidget::selectedImage(), KPixmapRegionSelectorWidget::setMaximumWidgetSize(), KPixmapRegionSelectorWidget::setPixmap(), and QRect::width().

QImage KPixmapRegionSelectorDialog::getSelectedImage | ( | const QPixmap & | pixmap,
|  | int | aspectRatioWidth,
|  | int | aspectRatioHeight,
|  | QWidget * | parent = `0L`
| ) | `[static]`

| Creates a modal dialog, lets the user to select a region of the `pixmap` with the same aspect ratio than `aspectRatioWidth` x `aspectRatioHeight` and returns when the dialog is closed. Returns: the selected image, or an invalid image if the user pressed the Cancel button. Definition at line 106 of file kpixmapregionselectordialog.cpp. References QDesktopWidget::availableGeometry(), QDialog::exec(), QRect::height(), pixmapRegionSelectorWidget(), KPixmapRegionSelectorWidget::selectedImage(), KPixmapRegionSelectorWidget::setMaximumWidgetSize(), KPixmapRegionSelectorWidget::setPixmap(), KPixmapRegionSelectorWidget::setSelectionAspectRatio(), and QRect::width().

The documentation for this class was generated from the following files:

- kpixmapregionselectordialog.h
- kpixmapregionselectordialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:53 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003